import request from '@/utils/request'

// 查询采购入库列表
export function listProcurement(query) {
  return request({
    url: '/system/procurement/list',
    method: 'get',
    params: query
  })
}

// 查询采购入库详细
export function getProcurement(id) {
  return request({
    url: '/system/procurement/' + id,
    method: 'get'
  })
}

// 新增采购入库
export function addProcurement(data) {
  return request({
    url: '/system/procurement',
    method: 'post',
    data: data
  })
}

// 修改采购入库
export function updateProcurement(data) {
  return request({
    url: '/system/procurement',
    method: 'put',
    data: data
  })
}

// 删除采购入库
export function delProcurement(id) {
  return request({
    url: '/system/procurement/' + id,
    method: 'delete'
  })
}
